package eu.lucazanini.service;

import java.text.DateFormat;
import java.util.Calendar;

import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.util.Log;

public final class Utils {

    public static String getTime() {
	Calendar calendar = Calendar.getInstance();
	DateFormat formatTime = DateFormat.getTimeInstance();
	return formatTime.format(calendar.getTime());
    }

    public static void test(String TAG) {
	String displayTime, currentTime;
	displayTime = new String();
	long endTime = System.currentTimeMillis() + 10 * 1000;
	while (System.currentTimeMillis() < endTime) {
	    currentTime = new String(getTime());
	    if (!displayTime.equals(currentTime)) {
		displayTime = new String(currentTime);
		Log.d(TAG, "time " + currentTime);
	    }
	}
    }

    public static void test(String TAG, Handler handler) {
	String displayTime, currentTime;
	displayTime = new String();
	long endTime = System.currentTimeMillis() + 10 * 1000;
	while (System.currentTimeMillis() < endTime) {
	    currentTime = new String(getTime());
	    if (!displayTime.equals(currentTime)) {
		Message msg = new Message();
		Bundle b = new Bundle();
		b.putString("timeKey", currentTime);
		msg.setData(b);
		handler.sendMessage(msg);
		displayTime = new String(currentTime);
		Log.d(TAG, "time " + currentTime);
	    }

	}
    }

    private Utils() {
    }

}
